// ResourceBrowserView.h : interface of the CResourceBrowserView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_RESOURCEBROWSERVIEW_H__81511040_5E26_4A3B_889E_BD35823719B1__INCLUDED_)
#define AFX_RESOURCEBROWSERVIEW_H__81511040_5E26_4A3B_889E_BD35823719B1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CResourceBrowserDoc;
#include <Stuff\Stuff.hpp>

using namespace Stuff;

class CResourceBrowserView : public CListView
{
protected: // create from serialization only
	CResourceBrowserView();
	DECLARE_DYNCREATE(CResourceBrowserView)

// Attributes
public:
	CResourceBrowserDoc* GetDocument();
	bool InResources(CString &str);
	const char *GetResultString(CString str);
	CString GetResID(CString str);
	CString GetResSize(CString str);
	void ShowDependancies(CString str);
	bool ReferencedInFile(CString str2,CString str);
	// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CResourceBrowserView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CResourceBrowserView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CResourceBrowserView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnColumnclick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclk(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ResourceBrowserView.cpp
inline CResourceBrowserDoc* CResourceBrowserView::GetDocument()
   { return (CResourceBrowserDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RESOURCEBROWSERVIEW_H__81511040_5E26_4A3B_889E_BD35823719B1__INCLUDED_)
